MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027923Open CASCADE[OCCT] OCCT:Documentationpublic2016-09-30 14:312016-12-09 16:39
Reporterszy 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027923: Environment variable INSTALL_DIR_LAYOUT is not documented
DescriptionThe environment variable INSTALL_DIR_LAYOUT is not documented.
This variable is used by cmake when OCCT is building from sources.
There is a corresponding complaint from one of our customers.
He uses several platforms: Linux & Windows:
"Speaking of linux, unfortunately the linux version has some bugs, if you compile opencascade yourself:
Make install puts env.sh and custom.sh in CASROOT/bin on linux however on windows they are placed directly in CASROOT.
This means env.sh of the wrapper points to the wrong directory on linux...

Setting INSTALL_DIR_LAYOUT=Windows of OCCT (cmake) it works as expected
for (2) and (3) - however I am on linux and the default is
INSTALL_DIR_LAYOUT=Unix - having to change that is rather unexpected and
not documented.
Please fix this - maybe if you read the value of INSTALL_DIR_LAYOUT and
configure the paths appropriately."

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0060042)
git (administrator)
2016-11-08 17:13

Branch CR27923 has been created by apn.

SHA-1: 1955aa8b91d17398cd0eb586ab56f063ee315e3d


Detailed log of new commits:

Author: apn
Date: Tue Nov 8 17:12:48 2016 +0300

    0027923: Environment variable INSTALL_DIR_LAYOUT is not documented
    
    Added description of INSTALL_DIR_LAYOUT variable
(0060051)
apn (administrator)
2016-11-08 17:40

Description of INSTALL_DIR_LAYOUT variable was added in CR27923.
Dear szy,
could you please review CR27923.
(0060140)
apn (administrator)
2016-11-09 17:31

Tested in scope of CR0-2016-11-09.
(0061250)
git (administrator)
2016-12-07 11:30

Branch CR27923 has been deleted by kgv.

SHA-1: 1955aa8b91d17398cd0eb586ab56f063ee315e3d

- Related Changesets
occt: master 17d16f78
Timestamp: 2016-11-08 14:12:48
Author: abv
Committer: abv
Details ] Diff ]
0027923: Environment variable INSTALL_DIR_LAYOUT is not documented

Added description of INSTALL_DIR_LAYOUT variable
mod - dox/dev_guides/building/cmake/cmake.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-30 14:31 szy New Issue
2016-09-30 14:31 szy Assigned To => ysn
2016-09-30 14:33 szy Description Updated View Revisions
2016-11-08 17:13 git Note Added: 0060042
2016-11-08 17:40 apn Note Added: 0060051
2016-11-08 17:41 apn Test case number => Not needed
2016-11-08 17:41 apn Assigned To ysn => szy
2016-11-08 17:41 apn Status new => resolved
2016-11-09 17:31 apn Note Added: 0060140
2016-11-09 17:31 apn Assigned To szy => bugmaster
2016-11-09 17:31 apn Status resolved => reviewed
2016-11-09 17:31 apn Status reviewed => tested
2016-11-09 17:43 abv Changeset attached => occt master 17d16f78
2016-11-09 17:43 abv Assigned To bugmaster => abv
2016-11-09 17:43 abv Status tested => verified
2016-11-09 17:43 abv Resolution open => fixed
2016-12-07 11:30 git Note Added: 0061250
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker